.\" $NetBSD: wctype.3,v 1.5 2004/01/24 16:58:54 wiz Exp $
.\"
.\" Copyright (c)2003 Citrus Project,
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd March 4, 2003
.Dt WCTYPE 3
.Os
.\" ----------------------------------------------------------------------
.Sh NAME
.Nm wctype
.Nd get character class identifier by name
.\" ----------------------------------------------------------------------
.Sh LIBRARY
.Lb libc
.\" ----------------------------------------------------------------------
.Sh SYNOPSIS
.In wctype.h
.Ft wctype_t
.Fn wctype "const char *charclass"
.\" ----------------------------------------------------------------------
.Sh DESCRIPTION
The
.Fn wctype
function returns a character class identifier corresponding to the
locale-specific character class name
.Fa charclass .
This identifier can be used in subsequent calls of
.Fn iswctype .
The following names are defined in all locales:
.Bd -literal -offset indent
alnum alpha blank cntrl digit graph
lower print punct space upper xdigit
.Ed
.Pp
The behaviour of
.Fn wctype
is affected by the
.Dv LC_CTYPE
category of the current locale.
.\" ----------------------------------------------------------------------
.Sh RETURN VALUES
.Fn wctype
returns:
.Bl -tag -width 012345678901
.It 0
If
.Fa charclass
does not correspond to a valid character class name.
.It non-zero
A character class identifier corresponding to
.Fa charclass .
.El
.Pp
Note: wctype_t is a scalar type, e.g., a pointer.
.\" ----------------------------------------------------------------------
.Sh ERRORS
No errors are defined.
.\" ----------------------------------------------------------------------
.Sh SEE ALSO
.Xr iswctype 3 ,
.Xr setlocale 3 ,
.Xr towctrans 3 ,
.Xr wctrans 3
.\" ----------------------------------------------------------------------
.Sh STANDARDS
The
.Fn wctype
function conforms to
.St -isoC-amd1 .
